// =====================================================================================================================
//  fennec, a free and open source game engine
//  Copyright © 2025 - 2026  Medusa Slockbower
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <https://www.gnu.org/licenses/>.
// =====================================================================================================================

#ifndef FENNEC_TEST_CORE_H
#define FENNEC_TEST_CORE_H

#include "../test.h"

#include "core/test_event.h"
#include "core/test_version.h"

namespace fennec::test
{

inline void fennec_test_core() {
	fennec_test_subheader("version");
	fennec_test_spacer(2);
	fennec_test_core_version();
	fennec_test_spacer(3);

	fennec_test_subheader("events");
	fennec_test_spacer(2);
	fennec_test_core_event();
}

}

#endif // FENNEC_TEST_CORE_H